<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Interface org.apache.poi.ss.usermodel.ConditionalFormattingRule (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.poi.ss.usermodel.ConditionalFormattingRule (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
               title="interface in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/ConditionalFormattingRule.html"
               target="_top">Frames</a></li>
        <li><a href="ConditionalFormattingRule.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Interface org.apache.poi.ss.usermodel.ConditionalFormattingRule" class="title">Uses of
        Interface<br>org.apache.poi.ss.usermodel.ConditionalFormattingRule</h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                        title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula">org.apache.poi.ss.formula</a></td>
                    <td class="colLast">
                        <div class="block">This package contains common internal POI code for manipulating formulas.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                   title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a> in <a
                            href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a></span></code>
                                <div class="block">High level representation of Conditional Formatting Rule.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFSheetConditionalFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">addConditionalFormatting</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                   title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;rule1)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFSheetConditionalFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.ss.usermodel.ConditionalFormattingRule:A-">addConditionalFormatting</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                   title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>[]&nbsp;cfRules)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFSheetConditionalFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.ss.usermodel.ConditionalFormattingRule-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">addConditionalFormatting</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                   title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;rule1,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                   title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;rule2)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFConditionalFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormatting.html#addRule-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">addRule</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                    title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;cfRule)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFConditionalFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormatting.html#setRule-int-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">setRule</a></span>(int&nbsp;idx,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                   title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;cfRule)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.formula">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                   title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a> in <a
                            href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                    title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                            </td>
                            <td class="colLast"><span
                                    class="typeNameLabel">EvaluationConditionalFormatRule.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html#getRule--">getRule</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/EvaluationConditionalFormatRule.html#EvaluationConditionalFormatRule-org.apache.poi.ss.formula.WorkbookEvaluator-org.apache.poi.ss.usermodel.Sheet-org.apache.poi.ss.usermodel.ConditionalFormatting-int-org.apache.poi.ss.usermodel.ConditionalFormattingRule-int-org.apache.poi.ss.util.CellRangeAddress:A-">EvaluationConditionalFormatRule</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                    title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a>&nbsp;workbookEvaluator,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                   title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html"
                                   title="interface in org.apache.poi.ss.usermodel">ConditionalFormatting</a>&nbsp;formatting,
                                int&nbsp;formattingIndex,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                   title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;rule,
                                int&nbsp;ruleIndex,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                   title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a> in <a
                            href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                    title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                            </td>
                            <td class="colLast"><span
                                    class="typeNameLabel">SheetConditionalFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#createConditionalFormattingColorScaleRule--">createConditionalFormattingColorScaleRule</a></span>()</code>
                                <div class="block">Create a Color Scale / Color Gradient conditional formatting rule.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                    title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                            </td>
                            <td class="colLast"><span
                                    class="typeNameLabel">SheetConditionalFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#createConditionalFormattingRule-byte-java.lang.String-">createConditionalFormattingRule</a></span>(byte&nbsp;comparisonOperation,
                                java.lang.String&nbsp;formula)</code>
                                <div class="block">Create a conditional formatting rule that compares a cell value
                                    to a formula calculated result, using an operator *
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                    title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                            </td>
                            <td class="colLast"><span
                                    class="typeNameLabel">SheetConditionalFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#createConditionalFormattingRule-byte-java.lang.String-java.lang.String-">createConditionalFormattingRule</a></span>(byte&nbsp;comparisonOperation,
                                java.lang.String&nbsp;formula1,
                                java.lang.String&nbsp;formula2)</code>
                                <div class="block">A factory method allowing to create a conditional formatting rule
                                    with a cell comparison operator
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                    title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                            </td>
                            <td class="colLast"><span
                                    class="typeNameLabel">SheetConditionalFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#createConditionalFormattingRule-org.apache.poi.ss.usermodel.ExtendedColor-">createConditionalFormattingRule</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
                                    title="class in org.apache.poi.ss.usermodel">ExtendedColor</a>&nbsp;color)</code>
                                <div class="block">Create a Databar conditional formatting rule.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                    title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                            </td>
                            <td class="colLast"><span
                                    class="typeNameLabel">SheetConditionalFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#createConditionalFormattingRule-org.apache.poi.ss.usermodel.IconMultiStateFormatting.IconSet-">createConditionalFormattingRule</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                    title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a>&nbsp;iconSet)</code>
                                <div class="block">Create an Icon Set / Multi-State conditional formatting rule.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                    title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                            </td>
                            <td class="colLast"><span
                                    class="typeNameLabel">SheetConditionalFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#createConditionalFormattingRule-java.lang.String-">createConditionalFormattingRule</a></span>(java.lang.String&nbsp;formula)</code>
                                <div class="block">Create a conditional formatting rule based on a Boolean formula.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                    title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">ConditionalFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html#getRule-int-">getRule</a></span>(int&nbsp;idx)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">SheetConditionalFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">addConditionalFormatting</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                   title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;rule)</code>
                                <div class="block">Add a new Conditional Formatting to the sheet.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">SheetConditionalFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.ss.usermodel.ConditionalFormattingRule:A-">addConditionalFormatting</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                   title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>[]&nbsp;cfRules)</code>
                                <div class="block">Add a new Conditional Formatting set to the sheet.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">SheetConditionalFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.ss.usermodel.ConditionalFormattingRule-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">addConditionalFormatting</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                   title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;rule1,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                   title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;rule2)</code>
                                <div class="block">Add a new Conditional Formatting consisting of two rules.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ConditionalFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html#addRule-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">addRule</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                    title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;cfRule)</code>
                                <div class="block">Add a Conditional Formatting rule.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ConditionalFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html#setRule-int-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">setRule</a></span>(int&nbsp;idx,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                   title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;cfRule)</code>
                                <div class="block">Replaces an existing Conditional Formatting rule at position idx.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                   title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a> in <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html"
                                    title="class in org.apache.poi.xssf.usermodel">XSSFConditionalFormattingRule</a></span></code>
                                <div class="block">XSSF support for Conditional Formatting rules</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFSheetConditionalFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">addConditionalFormatting</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                   title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;rule1)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFSheetConditionalFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.ss.usermodel.ConditionalFormattingRule:A-">addConditionalFormatting</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                   title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>[]&nbsp;cfRules)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFSheetConditionalFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.ss.usermodel.ConditionalFormattingRule-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">addConditionalFormatting</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                   title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;rule1,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                   title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;rule2)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFConditionalFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormatting.html#addRule-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">addRule</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                    title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;cfRule)</code>
                                <div class="block">Add a Conditional Formatting rule.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFConditionalFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormatting.html#setRule-int-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">setRule</a></span>(int&nbsp;idx,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                   title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;cfRule)</code>
                                <div class="block">Replaces an existing Conditional Formatting rule at position idx.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
               title="interface in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/ConditionalFormattingRule.html"
               target="_top">Frames</a></li>
        <li><a href="ConditionalFormattingRule.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
